package com.ruoyi.rocketmq.mapper;

import com.ruoyi.rocketmq.domain.RmTemplateLinux;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Linux系统监控项Mapper接口
 * 
 * @author gyt
 * @date 2025-09-09
 */
public interface RmTemplateLinuxMapper 
{
    /**
     * 查询Linux系统监控项
     * 
     * @param id Linux系统监控项主键
     * @return Linux系统监控项
     */
    public RmTemplateLinux selectRmTemplateLinuxById(Long id);

    /**
     * 查询Linux系统监控项列表
     * 
     * @param rmTemplateLinux Linux系统监控项
     * @return Linux系统监控项集合
     */
    public List<RmTemplateLinux> selectRmTemplateLinuxList(RmTemplateLinux rmTemplateLinux);

    /**
     * 新增Linux系统监控项
     * 
     * @param rmTemplateLinux Linux系统监控项
     * @return 结果
     */
    public int insertRmTemplateLinux(RmTemplateLinux rmTemplateLinux);

    /**
     * 修改Linux系统监控项
     * 
     * @param rmTemplateLinux Linux系统监控项
     * @return 结果
     */
    public int updateRmTemplateLinux(RmTemplateLinux rmTemplateLinux);

    /**
     * 删除Linux系统监控项
     * 
     * @param id Linux系统监控项主键
     * @return 结果
     */
    public int deleteRmTemplateLinuxById(Long id);
    public int deleteByPolicyId(Long policyId);

    /**
     * 批量删除Linux系统监控项
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRmTemplateLinuxByIds(Long[] ids);

    void batchInsertRmTemplateLinux(@Param("list") List<RmTemplateLinux> linuxItems);

    int deleteByTemplateId(Long templateId);
    int updateByTemplateId(Long templateId);

    int updateByPolicyId(Long policyId);
}
